Bug 244096 - [NEW PORT] security/py-certbot-dns-cpanel: cPanel DNS Authenticator plugin for Certbot
Summary: [NEW PORT] security/py-certbot-dns-cpanel: cPanel DNS Authenticator plugin fo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-13 13:46 UTC by Venim
Modified: 2020-06-21 18:45 UTC (History)
2 users (show)

See Also:
h.freshports: maintainer-feedback+


Attachments
new port (5.00 KB, patch)
2020-02-13 13:46 UTC, Venim
no flags Details | Diff
py-certbot-dns-cpanel-new.patch (5.44 KB, patch)
2020-06-20 20:56 UTC, Danilo G. Baio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Venim 2020-02-13 13:46:25 UTC
Created attachment 211613 [details]
new port

This is a dns-01 authenticator plugin for certbot.

py-certbot-dns-cpanel is an unofficial plugin to py-certbot which enable it to function with cPanel. cPanel is a tool to configure domains used by many web hosting providers.

I installed and ran this plugin myself today and would like to share. Compiled and tested on FreeBSD 11.3-RELEASE-p6.

I hope this is of good enough quality since this is my first attempt to submit a new port from scratch. Port have been tested with the porttools package.
Comment 1 Danilo G. Baio freebsd_committer 2020-06-20 20:56:45 UTC
Created attachment 215829 [details]
py-certbot-dns-cpanel-new.patch

Hi.

Thanks for your work.

I've cleaned it up your patch and updated it to 0.2.2, could you test it?

More details about Python ports here:
https://wiki.freebsd.org/Python/PortsPolicy

I removed the `@sample` to force users to copy and change it, we don't want users spamming https://cpanel.exemple.com:2083.
Comment 2 Venim 2020-06-21 16:43:58 UTC
(In reply to Danilo G. Baio from comment #1)
Hi,

I have successfully tested the port with your changes.

Great link to the Wiki for porting Python. That made things much more clear to me. My attempt was created just from info in the porters handbook and by looking at similar Python ports without really understanding everything.

Thanks for all your help showing me how it should be done!
Comment 3 commit-hook freebsd_committer 2020-06-21 18:44:09 UTC
A commit references this bug:

Author: dbaio
Date: Sun Jun 21 18:43:12 UTC 2020
New revision: 539778
URL: https://svnweb.freebsd.org/changeset/ports/539778

Log:
  Add security/py-certbot-dns-cpanel: CPanel DNS Authenticator plugin for Certbot

  Plugin to allow acme dns-01 authentication of a name managed in cPanel. Useful
  for automating and creating a Let's Encrypt certificate (wildcard or not) for a
  service with a name managed by cPanel, but installed on a server not managed in
  cPanel.

  WWW: https://pypi.org/project/certbot-dns-cpanel/

  PR:		244096
  Submitted by:	Venim <h.freshports@skarnell.se>

Changes:
  head/security/Makefile
  head/security/py-certbot-dns-cpanel/
  head/security/py-certbot-dns-cpanel/Makefile
  head/security/py-certbot-dns-cpanel/distinfo
  head/security/py-certbot-dns-cpanel/files/
  head/security/py-certbot-dns-cpanel/files/credentials.ini.sample
  head/security/py-certbot-dns-cpanel/files/pkg-message.in
  head/security/py-certbot-dns-cpanel/pkg-descr
Comment 4 Danilo G. Baio freebsd_committer 2020-06-21 18:45:17 UTC
Committed, thanks!
And sorry about the delay.